package com.gyee.alarm.model.auto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备预警报告
 * </p>
 *
 * @author shilin
 * @since 2023-08-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicEarlyReportWt extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 风机id
     */
    private String windturbineId;

    /**
     * 风机编号或名称
     */
    private String windturbineCode;

    /**
     * 风机型号
     */
    private String modelId;

    /**
     * 对比的风机报告编号
     */
    private String compareId;

    /**
     * 结论
     */
    private String conclusion;

    /**
     * earlyreport表主键
     */
    private String reportId;

    /**
     * 是否比较过
     */
    private Boolean compared;

    /**
     * 核实的
     */
    private Boolean verified;


}
