package com.gyee;


import com.gyee.alarm.AlarmMain;
import com.gyee.alarm.service.AlarmBtService;
import com.gyee.alarm.service.AlarmCtService;
import com.gyee.alarm.service.AlarmWtService;

import com.gyee.alarm.util.SpringUtils;
import org.springframework.boot.SpringApplication;

public class AppTest
{
    public static void main(String[] args) throws Exception {
        SpringApplication.run(AlarmMain.class, args);

        AlarmBtService alarmBtService= SpringUtils.getBean("alarmBtService");
        AlarmWtService alarmWtService= SpringUtils.getBean("alarmWtService");
        AlarmCtService alarmCtService= SpringUtils.getBean("alarmCtService");

        alarmBtService.createSuperTable();
        alarmBtService.initalBtAlarm();

        alarmWtService.createSuperTable();
        alarmWtService.initalWtAlarm();

//        alarmCtService.createSuperTable();
//        alarmCtService.initalCtAlarm();

        System.out.println("完成！");

//
//        alarmService.createTable("test1", "alarmid01", "windturbine",
//               "紧急停机","bj",
//                false, "桨叶1的91度限位开关故障",
//                "SXJ_KGDL_HSM_F_WT_0001_EQ", "红石峁01号风机",
//                "windturbine", true,
//               "SXJ_KGDL_HSMF01_LN", "红石峁一号集电线路",
//                "UP77", "SXJ_KGDL_HSMF01_EG",
//                "红石峁一期项目", 3,
//                true, "SXJ_KGDL_HSM_FDC_STA",
//                "平鲁红石峁风电场", "",
//                "", "",
//                0, "DI0001");
//
//        Alarm test1=new Alarm();
//        test1.setTbName("test1");
//        test1.setTs(new Timestamp(new java.util.Date().getTime()));
//        test1.setOval(0);
//        test1.setVal(1);
//        alarmService.insertOne(test1);
//
//        alarmService.createTable("test2", "alarmid02", "windturbine",
//               "紧急停机","bj",
//                false, "桨叶1的91度限位开关故障",
//                "SXJ_KGDL_HSM_F_WT_0002_EQ", "红石峁02号风机",
//                "windturbine", true,
//               "SXJ_KGDL_HSMF01_LN", "红石峁一号集电线路",
//                "UP77", "SXJ_KGDL_HSMF01_EG",
//                "红石峁一期项目", 3,
//                true, "SXJ_KGDL_HSM_FDC_STA",
//                "平鲁红石峁风电场", "",
//                "", "tagid2",
//                0, "DI0001","");
//
//
//        alarmService.createTable("test3", "alarmid03", "windturbine",
//                "紧急停机","bj",
//                false, "桨叶1的91度限位开关故障",
//                "SXJ_KGDL_HSM_F_WT_0003_EQ", "红石峁03号风机",
//                "windturbine", true,
//                "SXJ_KGDL_HSMF01_LN", "红石峁一号集电线路",
//                "UP77", "SXJ_KGDL_HSMF01_EG",
//                "红石峁一期项目", 3,
//                true, "SXJ_KGDL_HSM_FDC_STA",
//                "平鲁红石峁风电场", "",
//                "", "tagid3",
//                0, "DI0001","");
//
//
//
//        alarmService.createTable("test4", "alarmid04", "windturbine",
//                "紧急停机","bj",
//                false, "桨叶1的91度限位开关故障",
//                "SXJ_KGDL_HSM_F_WT_0004_EQ", "红石峁04号风机",
//                "windturbine", true,
//                "SXJ_KGDL_HSMF01_LN", "红石峁一号集电线路",
//                "UP77", "SXJ_KGDL_HSMF01_EG",
//                "红石峁一期项目", 3,
//                true, "SXJ_KGDL_HSM_FDC_STA",
//                "平鲁红石峁风电场", "",
//                "", "tagid4",
//                0, "DI0001","");
//
//

//        List<Alarm> ls=alarmService.selectByName("test1");
//
//        if(ls.isEmpty())
//        {
//            System.out.println(ls.get(0).toString());
//        }
    }
}
