package com.gyee.alarm.model.auto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备指标
 * </p>
 *
 * @author shilin
 * @since 2023-08-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicDeviceMetrics extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 设备
     */
    private String deviceiD;

    /**
     * 结构编码
     */
    private String structureCode;

    /**
     * 标准编码
     */
    private String metricCode;

    /**
     * 名字
     */
    private String name;

    /**
     * 英文名
     */
    private String enname;

    /**
     * 单位名称
     */
    private String unitName;

    /**
     * 英文单位名称
     */
    private String unitNamecn;

    /**
     * 类别数据
     */
    private String categoryData;

    /**
     * 分类
     */
    private String categorysci;

    /**
     * 分类意思
     */
    private String categorysys;

    /**
     * 分类1
     */
    private String categoryres1;

    /**
     * 分类2
     */
    private String categoryres2;

    /**
     * 分类3
     */
    private String categoryres3;

    /**
     * 分类4
     */
    private String categoryres4;

    /**
     * 分类5
     */
    private String categoryres5;

    /**
     * 描述
     */
    private String description;


}
