package com.gyee.alarm.model.auto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 规则修改记录内容
 * </p>
 *
 * @author shilin
 * @since 2023-08-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconRuleUpdateInfo extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 事件编号
     */
    private String eventId;

    /**
     * 字段名称
     */
    private String fieldName;

    /**
     * 修改前值
     */
    private String beforValue;

    /**
     * 修改后值
     */
    private String afterValue;


}
