package com.gyee.alarm.service.auto.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.alarm.model.auto.ProEconAlarmConfiguration;
import com.gyee.alarm.mapper.auto.ProEconAlarmConfigurationMapper;
import com.gyee.alarm.model.auto.ProEconAlarmRule;
import com.gyee.alarm.service.auto.IProEconAlarmConfigurationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 报警配置表 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2023-06-19
 */
@Service
public class ProEconAlarmConfigurationServiceImpl extends ServiceImpl<ProEconAlarmConfigurationMapper, ProEconAlarmConfiguration> implements IProEconAlarmConfigurationService {

    @Resource
    private  ProEconAlarmConfigurationMapper proEconAlarmConfigurationMapper;

    public IPage<ProEconAlarmConfiguration> pageQueryAll(Page page,
                                         String description,
                                         String wpId,
                                         String modelId)
    {
        IPage<ProEconAlarmConfiguration> pages=  proEconAlarmConfigurationMapper.pageQueryAll(page,
                description,
                 wpId,
                 modelId);

        return pages;
    }


}
